<div class="front_page_section front_page_section_woocommerce<?php
	$coinpress_scheme = coinpress_get_theme_option( 'front_page_woocommerce_scheme' );
	if ( ! coinpress_is_inherit( $coinpress_scheme ) ) {
		echo ' scheme_' . esc_attr( $coinpress_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( coinpress_get_theme_option( 'front_page_woocommerce_paddings' ) );
?>"
		<?php
		$coinpress_css      = '';
		$coinpress_bg_image = coinpress_get_theme_option( 'front_page_woocommerce_bg_image' );
		if ( ! empty( $coinpress_bg_image ) ) {
			$coinpress_css .= 'background-image: url(' . esc_url( coinpress_get_attachment_url( $coinpress_bg_image ) ) . ');';
		}
		if ( ! empty( $coinpress_css ) ) {
			echo ' style="' . esc_attr( $coinpress_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$coinpress_anchor_icon = coinpress_get_theme_option( 'front_page_woocommerce_anchor_icon' );
	$coinpress_anchor_text = coinpress_get_theme_option( 'front_page_woocommerce_anchor_text' );
if ( ( ! empty( $coinpress_anchor_icon ) || ! empty( $coinpress_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_woocommerce"'
									. ( ! empty( $coinpress_anchor_icon ) ? ' icon="' . esc_attr( $coinpress_anchor_icon ) . '"' : '' )
									. ( ! empty( $coinpress_anchor_text ) ? ' title="' . esc_attr( $coinpress_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner
	<?php
	if ( coinpress_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
		echo ' coinpress-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$coinpress_css      = '';
			$coinpress_bg_mask  = coinpress_get_theme_option( 'front_page_woocommerce_bg_mask' );
			$coinpress_bg_color_type = coinpress_get_theme_option( 'front_page_woocommerce_bg_color_type' );
			if ( 'custom' == $coinpress_bg_color_type ) {
				$coinpress_bg_color = coinpress_get_theme_option( 'front_page_woocommerce_bg_color' );
			} elseif ( 'scheme_bg_color' == $coinpress_bg_color_type ) {
				$coinpress_bg_color = coinpress_get_scheme_color( 'bg_color', $coinpress_scheme );
			} else {
				$coinpress_bg_color = '';
			}
			if ( ! empty( $coinpress_bg_color ) && $coinpress_bg_mask > 0 ) {
				$coinpress_css .= 'background-color: ' . esc_attr(
					1 == $coinpress_bg_mask ? $coinpress_bg_color : coinpress_hex2rgba( $coinpress_bg_color, $coinpress_bg_mask )
				) . ';';
			}
			if ( ! empty( $coinpress_css ) ) {
				echo ' style="' . esc_attr( $coinpress_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$coinpress_caption     = coinpress_get_theme_option( 'front_page_woocommerce_caption' );
			$coinpress_description = coinpress_get_theme_option( 'front_page_woocommerce_description' );
			if ( ! empty( $coinpress_caption ) || ! empty( $coinpress_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $coinpress_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $coinpress_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $coinpress_caption, 'coinpress_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description (text)
				if ( ! empty( $coinpress_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $coinpress_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $coinpress_description ), 'coinpress_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
			<?php
				$coinpress_woocommerce_sc = coinpress_get_theme_option( 'front_page_woocommerce_products' );
			if ( 'products' == $coinpress_woocommerce_sc ) {
				$coinpress_woocommerce_sc_ids      = coinpress_get_theme_option( 'front_page_woocommerce_products_per_page' );
				$coinpress_woocommerce_sc_per_page = count( explode( ',', $coinpress_woocommerce_sc_ids ) );
			} else {
				$coinpress_woocommerce_sc_per_page = max( 1, (int) coinpress_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
			}
				$coinpress_woocommerce_sc_columns = max( 1, min( $coinpress_woocommerce_sc_per_page, (int) coinpress_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
				echo do_shortcode(
					"[{$coinpress_woocommerce_sc}"
									. ( 'products' == $coinpress_woocommerce_sc
											? ' ids="' . esc_attr( $coinpress_woocommerce_sc_ids ) . '"'
											: '' )
									. ( 'product_category' == $coinpress_woocommerce_sc
											? ' category="' . esc_attr( coinpress_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
											: '' )
									. ( 'best_selling_products' != $coinpress_woocommerce_sc
											? ' orderby="' . esc_attr( coinpress_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
												. ' order="' . esc_attr( coinpress_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
											: '' )
									. ' per_page="' . esc_attr( $coinpress_woocommerce_sc_per_page ) . '"'
									. ' columns="' . esc_attr( $coinpress_woocommerce_sc_columns ) . '"'
					. ']'
				);
				?>
			</div>
		</div>
	</div>
</div>
