<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0.10
 */

$coinpress_footer_id = coinpress_get_custom_footer_id();
$coinpress_footer_meta = get_post_meta( $coinpress_footer_id, 'trx_addons_options', true );
if ( ! empty( $coinpress_footer_meta['margin'] ) ) {
	coinpress_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( coinpress_prepare_css_value( $coinpress_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $coinpress_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $coinpress_footer_id ) ) ); ?>
						<?php
						if ( ! coinpress_is_inherit( coinpress_get_theme_option( 'footer_scheme' ) ) ) {
							echo ' scheme_' . esc_attr( coinpress_get_theme_option( 'footer_scheme' ) );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'coinpress_action_show_layout', $coinpress_footer_id );
	?>
</footer><!-- /.footer_wrap -->
