<?php
/**
 * The template to display menu in the footer
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0.10
 */

// Footer menu
$coinpress_menu_footer = coinpress_get_nav_menu( 'menu_footer' );
if ( ! empty( $coinpress_menu_footer ) ) {
	?>
	<div class="footer_menu_wrap">
		<div class="footer_menu_inner">
			<?php
			coinpress_show_layout(
				$coinpress_menu_footer,
				'<nav class="menu_footer_nav_area sc_layouts_menu sc_layouts_menu_default"'
					. ' itemscope itemtype="//schema.org/SiteNavigationElement"'
					. '>',
				'</nav>'
			);
			?>
		</div>
	</div>
	<?php
}
