<?php
/**
 * The template to display the featured image in the single post
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0
 */

if ( get_query_var( 'coinpress_header_image' ) == '' && coinpress_trx_addons_featured_image_override( is_singular() && has_post_thumbnail() && in_array( get_post_type(), array( 'post', 'page' ) ) ) ) {
	$coinpress_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
	if ( ! empty( $coinpress_src[0] ) ) {
		coinpress_sc_layouts_showed( 'featured', true );
		?>
		<div class="sc_layouts_featured with_image without_content <?php echo esc_attr( coinpress_add_inline_css_class( 'background-image:url(' . esc_url( $coinpress_src[0] ) . ');' ) ); ?>"></div>
		<?php
	}
}
