<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0.14
 */
$coinpress_header_video = coinpress_get_header_video();
$coinpress_embed_video  = '';
if ( ! empty( $coinpress_header_video ) && ! coinpress_is_from_uploads( $coinpress_header_video ) ) {
	if ( coinpress_is_youtube_url( $coinpress_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $coinpress_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php coinpress_show_layout( coinpress_get_embed_video( $coinpress_header_video ) ); ?></div>
		<?php
	}
}
