<div class="front_page_section front_page_section_googlemap<?php
	$coinpress_scheme = coinpress_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! coinpress_is_inherit( $coinpress_scheme ) ) {
		echo ' scheme_' . esc_attr( $coinpress_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( coinpress_get_theme_option( 'front_page_googlemap_paddings' ) );
?>"
		<?php
		$coinpress_css      = '';
		$coinpress_bg_image = coinpress_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $coinpress_bg_image ) ) {
			$coinpress_css .= 'background-image: url(' . esc_url( coinpress_get_attachment_url( $coinpress_bg_image ) ) . ');';
		}
		if ( ! empty( $coinpress_css ) ) {
			echo ' style="' . esc_attr( $coinpress_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$coinpress_anchor_icon = coinpress_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$coinpress_anchor_text = coinpress_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $coinpress_anchor_icon ) || ! empty( $coinpress_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $coinpress_anchor_icon ) ? ' icon="' . esc_attr( $coinpress_anchor_icon ) . '"' : '' )
									. ( ! empty( $coinpress_anchor_text ) ? ' title="' . esc_attr( $coinpress_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
	<?php
	if ( coinpress_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
		echo ' coinpress-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$coinpress_css      = '';
			$coinpress_bg_mask  = coinpress_get_theme_option( 'front_page_googlemap_bg_mask' );
			$coinpress_bg_color_type = coinpress_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $coinpress_bg_color_type ) {
				$coinpress_bg_color = coinpress_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $coinpress_bg_color_type ) {
				$coinpress_bg_color = coinpress_get_scheme_color( 'bg_color', $coinpress_scheme );
			} else {
				$coinpress_bg_color = '';
			}
			if ( ! empty( $coinpress_bg_color ) && $coinpress_bg_mask > 0 ) {
				$coinpress_css .= 'background-color: ' . esc_attr(
					1 == $coinpress_bg_mask ? $coinpress_bg_color : coinpress_hex2rgba( $coinpress_bg_color, $coinpress_bg_mask )
				) . ';';
			}
			if ( ! empty( $coinpress_css ) ) {
				echo ' style="' . esc_attr( $coinpress_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
			$coinpress_layout = coinpress_get_theme_option( 'front_page_googlemap_layout' );
		if ( 'fullwidth' != $coinpress_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$coinpress_caption     = coinpress_get_theme_option( 'front_page_googlemap_caption' );
			$coinpress_description = coinpress_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $coinpress_caption ) || ! empty( $coinpress_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $coinpress_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $coinpress_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $coinpress_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $coinpress_caption, 'coinpress_kses_content' );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $coinpress_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $coinpress_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( wpautop( $coinpress_description ), 'coinpress_kses_content' );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $coinpress_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$coinpress_content = coinpress_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $coinpress_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $coinpress_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $coinpress_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $coinpress_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $coinpress_content, 'coinpress_kses_content' );
				?>
				</div>
				<?php

				if ( 'columns' == $coinpress_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $coinpress_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
			<?php
			if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
				dynamic_sidebar( 'front_page_googlemap_widgets' );
			} elseif ( current_user_can( 'edit_theme_options' ) ) {
				if ( ! coinpress_exists_trx_addons() ) {
					coinpress_customizer_need_trx_addons_message();
				} else {
					coinpress_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
				}
			}
			?>
			</div>
			<?php

			if ( 'columns' == $coinpress_layout && ( ! empty( $coinpress_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
