<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
if ( ! coinpress_is_inherit( coinpress_get_theme_option( 'copyright_scheme' ) ) ) {
	echo ' scheme_' . esc_attr( coinpress_get_theme_option( 'copyright_scheme' ) );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$coinpress_copyright = coinpress_get_theme_option( 'copyright' );
			if ( ! empty( $coinpress_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$coinpress_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $coinpress_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$coinpress_copyright = coinpress_prepare_macros( $coinpress_copyright );
				// Display copyright
				echo wp_kses( nl2br( $coinpress_copyright ), 'coinpress_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
