<?php
/**
 * Plugin support: M Chart Highcharts Library
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.5
 */

// Check if plugin installed and activated
if ( !function_exists( 'trx_addons_exists_m_chart_highcharts_library' ) ) {
    function trx_addons_exists_m_chart_highcharts_library() {
        return class_exists('M_Chart') && class_exists('M_Chart_Highcharts_Library');
    }
}

// One-click import support
//------------------------------------------------------------------------

// Check VC Extensions in the required plugins
if ( !function_exists( 'trx_addons_m_chart_highcharts_library_importer_required_plugins' ) ) {
	if (is_admin()) add_filter( 'trx_addons_filter_importer_required_plugins',	'trx_addons_m_chart_highcharts_library_importer_required_plugins', 10, 2 );
	function trx_addons_m_chart_highcharts_library_importer_required_plugins($not_installed='', $list='') {
		if (strpos($list, 'm-chart-highcharts-library')!==false && !trx_addons_exists_m_chart_highcharts_library())
			$not_installed .= '<br>' . esc_html__('M Chart Highcharts Library', 'trx_addons');
		return $not_installed;
	}
}
?>